Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.beans
Class NameInfo

    java.lang.Object
      jet.webreport.beans.NameInfo

All Implemented Interfaces:
  java.io.Serializable

    public class NameInfo

extends java.lang.Object
implements java.io.Serializable

NameInfo contains information of a resource such as mapping name, display name, sql type, formula expression, and so on.

See Also:
  Serialized Form

Field Summary
`static int` | `NAME_TYPE_DBFIELD`
`static int` | `NAME_TYPE_DETAILINFO`
`static int` | `NAME_TYPE_DIMENSION`
`static int` | `NAME_TYPE_DYNAMIC_FORMULA`
`static int` | `NAME_TYPE_DYNAMIC_MEASURE`
`static int` | `NAME_TYPE_FORMULA`
`static int` | `NAME_TYPE_MEASURE`
`static int` | `NAME_TYPE_PARAMETER`
`static int` | `NAME_TYPE_SUMMARY`

Constructor Summary
`NameInfo()` Creates `NameInfo` instance.

Method Summary
`java.lang.String` | `getAggFunc()` Returns the aggregate function of the name information.
`java.lang.String` | `getBasedQualifiedDispName()` Returns the QualifiedDispName of the based on resource.
`int` | `getBaseSqlType()` Returns the sql type of the based on resource.
`java.lang.String` | `getBlColumnName()` Returns the blColumnName.
`java.lang.String` | `getBlDisplayName()` Returns the blDisplayName.
`java.lang.String` | `getBlQualifiedDispName()` Returns the BlQualifiedDispName of the name information.
`java.util.List` | `getDataFormat()` Returns the dataFormat list of the name information.
`java.lang.String` | `getDisplayName()` Returns the display name of the name information.
`java.lang.String` | `getFmlExp()` Returns the formula expression of the name information.
`java.lang.String` | `getMappingName()` Returns the mapping name of the name information.
`int` | `getNameType()` Returns the name type of the name information.
`int` | `getSqlType()` Returns the sql type of the name information.
`boolean` | `isCanFilter()` Returns whether the name information could be filtered.
`boolean` | `isCanGoto()` Returns whether the name information supports goto.
`boolean` | `isCanSearch()` Returns whether the name information could be searched.
`boolean` | `isCanSort()` Returns whether the name information could be sorted.
`boolean` | `isFromBl()` Returns whether the name information is from BL.
`void` | `setAggFunc(java.lang.String aggFunc)` Sets the aggregate function of the name information.
`void` | `setBasedQualifiedDispName(java.lang.String basedQualifiedDispName)` Sets the QualifiedDispName of the based on resource.
`void` | `setBaseSqlType(int baseSqlType)` Sets the sql type of the based on resource.
`void` | `setBlColumnName(java.lang.String blColumnName)` Sets the blColumnName.
`void` | `setBlDisplayName(java.lang.String blDisplayName)` Sets the blDisplayName.
`void` | `setBlQualifiedDispName(java.lang.String blQualifiedDispName)` Sets the BlQualifiedDispName of the name information.
`void` | `setCanFilter(boolean canFilter)` Sets whether the name information could be filtered.
`void` | `setCanGoto(boolean canGoto)` Sets whether the name information supports goto.
`void` | `setCanSearch(boolean canSearch)` Sets whether the name information could be searched.
`void` | `setCanSort(boolean canSort)` Sets whether the name information could be sorted.
`void` | `setDataFormat(java.util.List dataFormat)` Sets the dataFormat list of the name information.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the name information.
`void` | `setFmlExp(java.lang.String fmlExp)` Sets the formula expression of the name information.
`void` | `setFromBl(boolean fromBl)` Sets whether the name information is from BL.
`void` | `setMappingName(java.lang.String mappingName)` Sets the mapping name of the name information.
`void` | `setNameType(int nameType)` Sets the name type of the name information.
`void` | `setSqlType(int sqlType)` Sets the sql type of the name information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_TYPE_DBFIELD

    public static int NAME_TYPE_DBFIELD

### NAME_TYPE_SUMMARY

    public static int NAME_TYPE_SUMMARY

### NAME_TYPE_FORMULA

    public static int NAME_TYPE_FORMULA

### NAME_TYPE_PARAMETER

    public static int NAME_TYPE_PARAMETER

### NAME_TYPE_DIMENSION

    public static int NAME_TYPE_DIMENSION

### NAME_TYPE_DETAILINFO

    public static int NAME_TYPE_DETAILINFO

### NAME_TYPE_MEASURE

    public static int NAME_TYPE_MEASURE

### NAME_TYPE_DYNAMIC_FORMULA

    public static int NAME_TYPE_DYNAMIC_FORMULA

### NAME_TYPE_DYNAMIC_MEASURE

    public static int NAME_TYPE_DYNAMIC_MEASURE

Constructor Detail

### NameInfo

    public NameInfo()

  Creates `NameInfo` instance.

Method Detail

### getBlColumnName

    public java.lang.String getBlColumnName()

  Returns the blColumnName. If dataset is from BL or a component is RC/BC component, the blColumnName is obtained by the reference mappingName.

  Returns:
    the blColumnName.

### setBlColumnName

    public void setBlColumnName(java.lang.String blColumnName)

  Sets the blColumnName.

  Parameters:
    `blColumnName` - The blColumnName to set.

### getBlDisplayName

    public java.lang.String getBlDisplayName()

  Returns the blDisplayName.

  Returns:
    the blDisplayName, it will be the value set by user.

### setBlDisplayName

    public void setBlDisplayName(java.lang.String blDisplayName)

  Sets the blDisplayName.

  Parameters:
    `blDisplayName` - the blDisplayName.

### isCanFilter

    public boolean isCanFilter()

  Returns whether the name information could be filtered.

  Returns:
    true the name information could be filtered; otherwise false.

### setCanFilter

    public void setCanFilter(boolean canFilter)

  Sets whether the name information could be filtered.

  Parameters:
    `canFilter` - the canFilter.

### isCanSearch

    public boolean isCanSearch()

  Returns whether the name information could be searched.

  Returns:
    true the name information could be searched; otherwise false.

### setCanSearch

    public void setCanSearch(boolean canSearch)

  Sets whether the name information could be searched.

  Parameters:
    `canSearch` - the canSearch.

### isCanSort

    public boolean isCanSort()

  Returns whether the name information could be sorted.

  Returns:
    true the name information could be sorted; otherwise false.

### setCanSort

    public void setCanSort(boolean canSort)

  Sets whether the name information could be sorted.

  Parameters:
    `canSort` - the canSort.

### isCanGoto

    public boolean isCanGoto()

  Returns whether the name information supports goto.

  Returns:
    true the name information supports goto; otherwise false.

### setCanGoto

    public void setCanGoto(boolean canGoto)

  Sets whether the name information supports goto.

  Parameters:
    `canGoto` - the canGoto.

### getDataFormat

    public java.util.List getDataFormat()

  Returns the dataFormat list of the name information.

  Returns:
    the dataFormat list.

### setDataFormat

    public void setDataFormat(java.util.List dataFormat)

  Sets the dataFormat list of the name information.

  Parameters:
    `dataFormat` - the dataFormat list.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the name information.

  Returns:
    the displayName.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the name information.

  Parameters:
    `displayName` - the display name.

### getMappingName

    public java.lang.String getMappingName()

  Returns the mapping name of the name information.

  Returns:
    the mappingName.

### setMappingName

    public void setMappingName(java.lang.String mappingName)

  Sets the mapping name of the name information.

  Parameters:
    `mappingName` - the mappingName.

### getSqlType

    public int getSqlType()

  Returns the sql type of the name information.

  Returns:
    the sqlType.

### setSqlType

    public void setSqlType(int sqlType)

  Sets the sql type of the name information.

  Parameters:
    `sqlType` - the sqlType `java.sql.Types`.

### getBaseSqlType

    public int getBaseSqlType()

  Returns the sql type of the based on resource.

  Returns:
    the sql type of the based on resource.

### setBaseSqlType

    public void setBaseSqlType(int baseSqlType)

  Sets the sql type of the based on resource.

  Parameters:
    `baseSqlType` - the sqlType `java.sql.Types`.

### getNameType

    public int getNameType()

  Returns the name type of the name information.

  Returns:
    the name type.

### setNameType

    public void setNameType(int nameType)

  Sets the name type of the name information.

  Parameters:
    `nameType` - the nameType. The values are:
      `NAME_TYPE_DBFIELD```
      `NAME_TYPE_SUMMARY```
      `NAME_TYPE_FORMULA```
      `NAME_TYPE_PARAMETER```
      `NAME_TYPE_DIMENSION```
      `NAME_TYPE_DETAILINFO```
      `NAME_TYPE_MEASURE```
      `NAME_TYPE_DYNAMIC_FORMULA```
      `NAME_TYPE_DYNAMIC_MEASURE```

### getBlQualifiedDispName

    public java.lang.String getBlQualifiedDispName()

  Returns the BlQualifiedDispName of the name information.

  Returns:
    the BlQualifiedDispName.

### setBlQualifiedDispName

    public void setBlQualifiedDispName(java.lang.String blQualifiedDispName)

  Sets the BlQualifiedDispName of the name information.

  Parameters:
    `blQualifiedDispName.` -

### isFromBl

    public boolean isFromBl()

  Returns whether the name information is from BL.

  Returns:
    true the name information is from BL; otherwise false.

### setFromBl

    public void setFromBl(boolean fromBl)

  Sets whether the name information is from BL.

  Parameters:
    `fromBl` - whether from BL.

### getAggFunc

    public java.lang.String getAggFunc()

  Returns the aggregate function of the name information.

  Returns:
    the aggregate function.

### setAggFunc

    public void setAggFunc(java.lang.String aggFunc)

  Sets the aggregate function of the name information.

  Parameters:
    `aggFunc` - the aggregate function.

### getBasedQualifiedDispName

    public java.lang.String getBasedQualifiedDispName()

  Returns the QualifiedDispName of the based on resource.

  Returns:
    the QualifiedDispName.

### setBasedQualifiedDispName

    public void setBasedQualifiedDispName(java.lang.String basedQualifiedDispName)

  Sets the QualifiedDispName of the based on resource.

  Parameters:
    `basedQualifiedDispName.` -

### getFmlExp

    public java.lang.String getFmlExp()

  Returns the formula expression of the name information.

  Returns:
    the formula expression.

### setFmlExp

    public void setFmlExp(java.lang.String fmlExp)

  Sets the formula expression of the name information.

  Parameters:
    `fmlExp` - the formula expression.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD